package com.bzd.system.service.kc.kn;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 报损报溢申请表 service
* @author LiXiangFei
* @since 2024-10-14
*/

@Service
public class SKcKnAdjustmentdocumentService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSKcKnAdjustmentdocument(PageData pd)throws Exception {
        return daoSupport.update("SKcKnAdjustmentdocumentMapper.addSKcKnAdjustmentdocument", pd);
    }

    public List<PageData> findSKcKnAdjustmentdocumentList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SKcKnAdjustmentdocumentMapper.selectSKcKnAdjustmentdocumentList", pd);
    }

    public Integer SKcKnAdjustmentdocumentRemove(PageData pd)throws Exception {
        return daoSupport.delete("SKcKnAdjustmentdocumentMapper.SKcKnAdjustmentdocumentRemove", pd);
    }


    public Integer updateSKcKnAdjustmentdocument(PageData pd)throws Exception {
        return daoSupport.update("SKcKnAdjustmentdocumentMapper.updateSKcKnAdjustmentdocument", pd);
    }

}
